'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.createValidUri = void 0;
/**
 * Checks if a favicon path is proper uri if not append the path to the host
 * @param host | website host
 * @param path | favicon relative path
 */
const createValidUri = (host, path) => {
    if (path.includes(host)) {
        return path;
    }
    if (path.startsWith('http') || path.startsWith('https')) {
        return path;
    }
    const updatedPath = path.replace('/', '');
    return `${host}${updatedPath}`;
};
exports.createValidUri = createValidUri;
